Modul
Isi
Indeks 🔎︎

# Fungsi Hex

Mengembalikan string yang mewakili nilai heksadesimal suatu angka.

## Sintaksis:

    Hex (Angka)

## Nilai hasil:

String

## Parameter:

Ekspresi1, Ekspresi2: Ekspresi apa saja yang hendak dibandingkan.

## Kode kesalahan:

5 Tidak sah dalam pemanggilan prosedur

## Contoh:

    Sub ExampleHex
    ' menggunakan RumusDasar dalam $[officename] Calc
    Dim a2, b2, c2 As String
        a2 = "&H3E8"
        b2 = Hex2Int(a2)
        MsgBox b2
        c2 = Int2Hex(b2)
        MsgBox c2
    End Sub

    Function Hex2Int( sHex As String ) As Long
    ' Mengembalikan bilangan bulat panjang dari nilai heksadesimal.
        Hex2Int = clng( sHex )
    End Function

    Function Int2Hex( iLong As Long) As String
    ' Menghitung nilai heksadesimal dalam bilangan bulat.
        Int2Hex = "&H" & Hex( iLong )
    End Function